%define	module	SVN-Mirror
%define	name	perl-%{module}
%define version 0.70
%define release %mkrel 1
%define _requires_exceptions 'perl(VCP.*'

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Perl modules to mirror remote subversion repositories to local ones
Source0:	http://search.cpan.org/CPAN/authors/id/C/CL/CLKAO/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}/
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
Requires:	perl-SVK
Requires:	perl(Class::Accessor)
Requires:	perl(Data::UUID)
Requires:	perl(Term::ReadKey)
BuildRequires:	perl-SVN
BuildRequires:	perl-URI
BuildRequires:	perl-Class-Accessor
BuildRequires:	perl-SVN-Simple
BuildRequires:	perl-YAML
BuildRequires:	perl-SVK
# for test 
BuildRequires:  subversion 
BuildRequires:  subversion-tools
BuildConflicts:	perl-VCP-Dest-svk
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}


%description
SVN::Mirror allows you to mirror a remote repository to your local subversion
repository. It supports remote subversion and Git repositories.

%package -n	svm
Summary:	A tool to mirror a remote subversion repository
Group:		Development/Perl

%description -n	svm
svm (subversion mirror) is a command-line tool that allows you to mirror a
remote subversion repository on a local repository.

%prep
%setup -q -n %{module}-%{version}

%build
PERL_EXTUTILS_AUTOINSTALL=--skipdeps %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

cat > README.Mdv << EOF
This version was not built with VCP support (for CVS and Perforce mirroring)
since it requires to package too much other perl modules.
EOF

%check
LC_ALL=C %{__make} test

%install
rm -rf %{buildroot}
%{makeinstall_std}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES README README.Mdv TODO
%{perl_vendorlib}/SVN
%{_mandir}/man3/*

%files -n svm
%defattr(-,root,root)
%doc README.Mdv
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Sat Sep 02 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-02 20:16:55 (59642)
- 0.70

* Mon Aug 07 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-07 17:33:13 (54065)
- rebuild

* Mon Aug 07 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-07 17:25:35 (54061)
Import perl-SVN-Mirror

* Tue Jan 03 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.68-3mdk
- Add missing requires according to the Makefile.PL

* Wed Dec 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.68-2mdk
- spe cleanup
- fix directory ownership

* Tue Dec 13 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.68-1mdk
- 0.68

* Thu Oct 06 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.67-1mdk
- 0.67
- Fix BuildRequires due to subversion packages reorganisation

* Fri Aug 19 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.66-1mdk
- 0.66

* Tue Aug 16 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.65-1mdk
- 0.65

* Fri Jul 15 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.64-1mdk
- 0.64

* Wed Jun 29 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.63-1mdk
- 0.63

* Thu Jun 23 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.62-1mdk
- 0.62
- Rename README.Mdk to README.Mdv, add info in it.
- Improve description
- Require perl-SVK manually (for SVK::Util)

* Mon May 09 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.61-1mdk
- 0.61

* Mon May 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.60-1mdk
- 0.60

* Fri Apr 22 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.58-1mdk
- 0.58

* Tue Mar 29 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.57-1mdk
- 0.57

* Tue Mar 01 2005 Michael Scherer <misc@mandrake.org> 0.56-1mdk
- New release 0.56
- complete buildRequires

* Thu Feb 03 2005 Michael Scherer <misc@mandrake.org> 0.55-1mdk
- New release 0.55

* Tue Dec 21 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.51-1mdk
- New release 0.51
- Update summaries and descriptions

* Fri Nov 12 2004 Michael Scherer <misc@mandrake.org> 0.50-1mdk
- New release 0.50

* Wed Oct 20 2004 Michael Scherer <misc@mandrake.org> 0.49-1mdk
- New release 0.49
- BuildRequires

* Tue Oct 05 2004 Michael Scherer <misc@mandrake.org> 0.48-1mdk
- New release 0.48

* Fri Sep 24 2004 Michael Scherer <misc@mandrake.org> 0.47-1mdk
- New release 0.47

* Sat Sep 11 2004 Michael Scherer <misc@mandrake.org> 0.44-1mdk
- New release 0.44

* Mon Aug 23 2004 Michael Scherer <misc@mandrake.org> 0.43-1mdk
- New release 0.43

* Tue Aug 17 2004 Michael Scherer <misc@mandrake.org> 0.42-1mdk
- New release 0.42

* Thu Aug 05 2004 Michael Scherer <misc@mandrake.org> 0.40-1mdk
- New release 0.40

* Sat Jul 17 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.38-1mdk
- 0.38

* Wed Jun 30 2004 Michael Scherer <misc@mandrake.org> 0.37-1mdk
- New release 0.37

* Sat Jun 12 2004 Michael Scherer <misc@mandrake.org> 0.36-3mdk
- BuildRequires once again
 

* Sat Jun 05 2004 Michael Scherer <misc@mandrake.org> 0.36-2mdk 
- BuildRequires
- reenable test

* Thu Jun 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.36-1mdk
- 0.36
- skip test for now

* Wed Apr 28 2004 Michael Scherer <misc@mandrake.org> 0.35-1mdk
- New release 0.35

* Fri Apr 02 2004 Michael Scherer <misc@mandrake.org> 0.31-1mdk 
- First MandrakeSoft Package

